Bug 446411 - Review Request: perl-Event-Lib - Perl wrapper around libevent
Review Request: perl-Event-Lib - Perl wrapper around libevent
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 11:07 EDT by Nicolas Chauvet (kwizart)
Modified: 2008-05-27 17:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-27 17:39:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2008-05-14 11:07:54 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Event-Lib.spec
SRPM URL: 
http://rpms.kwizart.net/fedora/9/SRPMS/perl-Event-Lib-1.03-1.fc9.kwizart.src.rpm
Description: Perl wrapper around libevent
Comment 1 Parag AN(पराग) 2008-05-16 01:58:01 EDT
Can you add BR for skipped tests
t/00_pod.........................
skipped
        all skipped: Test::Pod not installed
t/00_pod_coverage................
skipped
        all skipped: Test::Pod::Coverage not installed

BR: perl(Test::Pod::Coverage)
Comment 2 Nicolas Chauvet (kwizart) 2008-05-16 06:00:35 EDT
Spec URL:
http://kwizart.fedorapeople.org/SPECS/perl-Event-Lib.spec
SRPM URL: 
http://rpms.kwizart.net/fedora/9/SRPMS/perl-Event-Lib-1.03-2.fc9.kwizart.src.rpm
Description: Perl wrapper around libevent

Changelog:
- Add Missing BR for test

All tests went successful now.
Comment 3 Parag AN(पराग) 2008-05-19 00:25:39 EDT
unable to download SRPM
Comment 4 Nicolas Chauvet (kwizart) 2008-05-19 06:05:20 EDT
oups was here: 
http://kwizart.fedorapeople.org/SRPMS/perl-Event-Lib-1.03-2.fc8.kwizart.src.rpm
Comment 5 Nicolas Chauvet (kwizart) 2008-05-27 07:01:29 EDT
ping ?
Comment 6 Parag AN(पराग) 2008-05-27 07:40:22 EDT
oops sorry I missed this review from my review list.

Review:
+ package builds in mock (rawhide i386).
koji build=http://koji.fedoraproject.org/koji/taskinfo?taskID=630225
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
90b60028f7f5836072e95c6d5b1d069e  Event-Lib-1.03.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test output is
All tests successful.
Files=36, Tests=4280, 56 wallclock secs ( 8.13 cusr +  1.05 csys =  9.18 CPU)
+ Package perl-Event-Lib-1.03-2.fc10 =>
  Provides: Lib.so perl(Event::Lib) = 1.03
  Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3)
libevent-1.3e.so.1 perl >= 0:5.006 perl(:MODULE_COMPAT_5.10.0) perl(Exporter)
perl(XSLoader) perl(strict) perl(warnings) rtld(GNU_HASH)

APPROVED.
Comment 7 Nicolas Chauvet (kwizart) 2008-05-27 08:16:48 EDT
Thx! I Have few others perl packages waiting for review!
(If you had a little time - of course feel free to ask if you need a reviewer) 
Comment 8 Nicolas Chauvet (kwizart) 2008-05-27 08:18:42 EDT
New Package CVS Request
=======================
Package Name: perl-Event-Lib
Short Description: Perl wrapper around libevent
Owners: kwizart
Branches: F-8 F-9 EL-4 EL-5
InitialCC: perl-sig
Cvsextras Commits: yes
Comment 9 Tom "spot" Callaway 2008-05-27 16:10:45 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.